# DescribeByoipRegions

## 1. API Description

This API (DescribeByoipRegions) is used to query the list of regions that support BYOIP CIDR block, including IP range, network type and other information.

## 2. Input Parameters

The following request parameter list only provides API request parameters.

None

## 3. Output Parameters

| Parameter Name | Type                                                                                            | Description                                                                                                           |
| -------------- | ----------------------------------------------------------------------------------------------- | --------------------------------------------------------------------------------------------------------------------- |
| requestId      | String                                                                                          | <p>The unique request ID, which is returned for each request.</p><p>RequestId is required for locating a problem.</p> |
| regions        | Array of [Region](https://docs.console.zenlayer.com/api-reference/compute/datastructure#region) | Query the list of regions that support BYOIP CIDR block.                                                              |

## 4. Code Example

{% tabs %}
{% tab title="Example" %}
**Query the list of regions that support BYOIP CIDR block.**

```json
POST /api/v2/zec HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: DescribeByoIpRegions
<Common Request Params>

Request：
{
}

Response：
{
  "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
  "response": {
    "requestId": "TBFC01FCF-6439-4530-ADBC-16809F0C3E8F",
    "regions": [
      {
        "netmask": 28,
        "regionId": "asia-east-1",
        "network": "PremiumBGP",
        "ipType": "IPv4"
      }
    ]
  }
}
```

{% endtab %}
{% endtabs %}

## 5. Developer Resources

Zenlayer Cloud API 2.0 integrates [SDKs](https://docs.console.zenlayer.com/api-reference/api-introduction/toolkit/api-sdk)，to make it easier for you to call APIs. More programming languages will be supported.

## 6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see [Common Error Codes](https://docs.console.zenlayer.com/api-reference/api-introduction/instruction/commonerrorcode).

| HTTP Status Code | Error Code | Description |
| ---------------- | ---------- | ----------- |
